function compList = getCompositionComponentNames(this)
%GETCOMPOSITIONCOMPONENTNAMES returns the list of Composition-Software-Component-Type
%   names found in the XML files associated with the arxml.importer object.
%   COMPONENTNAMES = GETCOMPOSITIONCOMPONENTNAMES(IMPORTER) returns the list of 
%   Composition-Software-Component-Type names COMPONENTNAMES found in the
%   XML files associated with the arxml.importer object IMPORTER.
%
%   COMPONENTNAMES is a cell array of strings in which each element is the
%   absolute Short-Name path of the corresponding component: 
%   '/root_package_name[/sub_package_name]/composition_comp_short_name'.

%   Copyright 2016-2017 The MathWorks, Inc.

try
    compList = p_getcomponentnames(this, 'Composition');
catch Me
    %Trim stack to remove internal functions
    Me.throwAsCaller();
end
% LocalWords:  COMPONENTNAMES
