classdef AUTOSARDataPort < coder.internal.xrelexport.ERTDataPort
    % AUTOSARDATAPORT
    %   Encapsulate AUTOSAR specific information about data ports
    %   for the cross release workflow.
    %
    % Copyright 2017 The MathWorks, Inc.
    
    properties (SetAccess = private)
        AUTOSARPort;
        AUTOSARDataElement;
        AUTOSARReceiverPortNumber;
        DataAccessMode;
    end
    
    methods (Access = public)
        function obj = AUTOSARDataPort(code_interface, idx, codeInfoPort, info_struct)
            assert(strcmp(char(code_interface), 'AUTOSAR'));
            obj = obj@coder.internal.xrelexport.ERTDataPort(code_interface, idx, codeInfoPort, info_struct);
            
            obj.IsAUTOSAR = true; 
            if ~obj.CodeInfoWrapperPort.AUTOSARData.IsAutosarErrorStatus && ...
                    ~obj.CodeInfoWrapperPort.IsRTWVariable
                obj.AUTOSARPort = obj.CodeInfoWrapperPort.AUTOSARData.AutosarPort;
                obj.AUTOSARDataElement = obj.CodeInfoWrapperPort.AUTOSARData.AutosarDataElement;
            else
                obj.AUTOSARPort = '';
                obj.AUTOSARDataElement = '';
            end
            
            if obj.CodeInfoWrapperPort.AUTOSARData.IsAutosarErrorStatus
                obj.AUTOSARReceiverPortNumber =  obj.CodeInfoWrapperPort.AUTOSARData.AutosarReceiverPortNumber;
            else
                obj.AUTOSARReceiverPortNumber = '';
            end
            obj.DataAccessMode = obj.CodeInfoWrapperPort.AUTOSARData.AutosarDataAccessMode;
        end
    end
    
end